This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1297877 - [GSS](6.4.z) ServletContainerInitializers from jboss-deployment-structure.xml module dependencies are not invoked
[GSS](6.4.z) ServletContainerInitializers from jboss-deployment-structure.xml...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.7
Assigned To: Aaron Ogburn
Radim Hatlapatka
https://github.com/jbossas/jboss-eap/...
:
Depends On:
Blocks: eap647-payload
  Show dependency treegraph
 
Reported: 2016-01-12 11:57 EST by Aaron Ogburn
Modified: 2017-01-17 06:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:57:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
WFLY5962test.zip (2.94 KB, application/zip)
2016-01-12 11:59 EST, Aaron Ogburn
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-2744 Major Closed ServletContainerInitializers from jboss-deployment-structure.xml module dependencies are not invoked 2016-09-15 13:45 EDT
JBoss Issue Tracker WFLY-5962 Major Resolved ServletContainerInitializers from jboss-deployment-structure.xml module dependencies are not invoked 2016-09-15 13:45 EDT
Red Hat Knowledge Base (Solution) 2116901 None None None 2016-01-28 15:35 EST

  None (edit)
Description Aaron Ogburn 2016-01-12 11:57:18 EST
Description of problem:

If a module includes a ServletContainerInitializer, that ServletContainerInitializer is not invoked for any applications that include the module in its jboss-deployment-structure.xml module dependencies. It looks like the ServletContainerInitializerDeploymentProcessor only checks server provided dependencies.

How reproducible:

Always.

Steps to Reproduce:
1. Add "com/redhat/testSCI" contents to $EAP_HOME/modules/system/layers/base
2. Deploy SCItest.war
3. This should produce a message like "Initializer invoked for ...", indicating the SCI is invoked.  But it won't occur.

Actual results:

SCI is not invoked when included from a module.


Expected results:

SCI is invoked when included from a module.

Additional info:
Comment 1 Aaron Ogburn 2016-01-12 11:59 EST
Created attachment 1114043 [details]
WFLY5962test.zip
Comment 2 Aaron Ogburn 2016-01-12 14:01:26 EST
PR: https://github.com/jbossas/jboss-eap/pull/2682
Comment 3 JBoss JIRA Server 2016-01-30 22:49:22 EST
Stuart Douglas <stuart.w.douglas@gmail.com> updated the status of jira JBEAP-2744 to Resolved
Comment 6 Dominik Pospisil 2016-02-22 04:29:36 EST
Dev acking, PR ready, merged upstream.
Comment 7 Michael Cada 2016-03-01 09:24:54 EST
Verified on EAP 6.4.7.CP.CR2
Comment 8 JBoss JIRA Server 2016-06-14 07:36:46 EDT
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-2744 to Closed
Comment 9 Petr Penicka 2017-01-17 06:57:01 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.